Page MenuHomePhabricator

"Send a message" should not be more prominent than user talk links
Closed, ResolvedPublic

Description

Hovering a username mentioned in a comment now shows a huge "Send a message" button which presumably uses the off-the-track and not-best-practice Conpherence mechanism.

The button should be repurposed to link the user talk page, or have a second and bigger button "send a public message" next to it, or be removed entirely.


See Also:
T78238: Add optional "contact user" link to Phabricator user profiles

Event Timeline

Nemo_bis created this task.May 14 2015, 5:55 AM
Nemo_bis raised the priority of this task from to Needs Triage.
Nemo_bis updated the task description. (Show Details)
Nemo_bis added a project: Phabricator.
Nemo_bis added subscribers: Nemo_bis, MZMcBride.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 14 2015, 5:55 AM
mmodell triaged this task as Low priority.May 14 2015, 6:55 PM
mmodell added a subscriber: mmodell.

It might be possible to look up the wiki username custom field from within the hovercard code. I don't know how difficult this would be to implement though.

Qgil added a subscriber: Qgil.Jun 15 2015, 8:58 AM

The button should be repurposed to link the user talk page, or have a second and bigger button "send a public message" next to it, or be removed entirely.

Why? I don't think it is causing any harm. Hovering over a username in a comment is quite a specialized use case.

Restricted Application added a subscriber: scfc. · View Herald TranscriptJun 15 2015, 8:58 AM
Qgil moved this task from To Triage to Need discussion on the Phabricator board.Jun 15 2015, 8:59 AM
Qgil added a comment.Dec 29 2015, 12:46 PM

Wontfix? Lowest at least.

Restricted Application added a subscriber: Luke081515. · View Herald TranscriptDec 29 2015, 12:46 PM

Button is gone in upstream HEAD:

(Hovercards are more practically extensible now too, although the API may not be terribly stable for a bit.)

Aklapper closed this task as Resolved.Feb 24 2016, 12:35 PM

...and I don't see a button on personal pages like https://phabricator.wikimedia.org/p/aklapper/ anymore either.

Closing as resolved.